Commit 6de63eea authored by Jakub Jirutka's avatar Jakub Jirutka

community/lua-fifo: don't rely on install_if in checkdepends

To not complicate dependency graph and also workaround some not yet
described bug in apk.
parent fbf11b64
...@@ -9,7 +9,7 @@ pkgdesc="FIFO library for Lua" ...@@ -9,7 +9,7 @@ pkgdesc="FIFO library for Lua"
url="https://github.com/daurnimator/fifo.lua" url="https://github.com/daurnimator/fifo.lua"
arch="noarch" arch="noarch"
license="MIT" license="MIT"
checkdepends="lua-busted" checkdepends=""
subpackages="" subpackages=""
source="$pkgname-$pkgver.tar.gz::https://github.com/daurnimator/$_pkgname/archive/$pkgver.tar.gz" source="$pkgname-$pkgver.tar.gz::https://github.com/daurnimator/$_pkgname/archive/$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver" builddir="$srcdir/$_pkgname-$pkgver"
...@@ -23,7 +23,7 @@ esac ...@@ -23,7 +23,7 @@ esac
_luaversions="5.1 5.2 5.3" _luaversions="5.1 5.2 5.3"
for _v in $_luaversions; do for _v in $_luaversions; do
subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage" subpackages="$subpackages lua$_v-${pkgname#lua-}:_subpackage"
checkdepends="$checkdepends lua$_v" checkdepends="$checkdepends lua$_v lua$_v-busted"
done done
check() { check() {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment